curl --request PATCH \
--url https://api.salvy.com.br/api/v3/cost-centers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "ENG-01",
"name": "Engenharia",
"status": "active",
"responsibleEmployeeId": "0197aa3e-3815-45b7-9e60-8e137cad845c"
}
'import requests
url = "https://api.salvy.com.br/api/v3/cost-centers/{id}"
payload = {
"code": "ENG-01",
"name": "Engenharia",
"status": "active",
"responsibleEmployeeId": "0197aa3e-3815-45b7-9e60-8e137cad845c"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'ENG-01',
name: 'Engenharia',
status: 'active',
responsibleEmployeeId: '0197aa3e-3815-45b7-9e60-8e137cad845c'
})
};
fetch('https://api.salvy.com.br/api/v3/cost-centers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0198c2f1-3815-45b7-9e60-8e137cad845c",
"companyId": "0198c2f1-3815-45b7-9e60-8e137cad845c",
"code": "ENG-01",
"name": "Engenharia",
"status": "active",
"responsibleEmployee": {
"id": "0197aa3e-3815-45b7-9e60-8e137cad845c",
"fullName": "Maria Souza",
"workEmail": "maria.souza@empresa.com.br"
}
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "resource-not-found",
"message": "<string>"
}{
"code": "cost-center-code-already-exists",
"message": "<string>"
}{
"code": "payload-too-large",
"message": "<string>"
}{
"code": "input-validation-error",
"message": "<string>",
"details": [
{
"key": "<string>",
"message": "<string>"
}
]
}{
"code": "unknown",
"message": "<string>"
}Atualizar centro de custo
Atualiza um centro de custo por ID. Somente os campos enviados no corpo são alterados; campos omitidos permanecem inalterados.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
Código do centro de custo definido pela empresa.
1"ENG-01"
Nome do centro de custo.
1"Engenharia"
Situação do centro de custo: "active" (em uso) ou "disabled" (desativado pela empresa).
active, disabled "active"
ID do colaborador responsável pelo centro de custo. Envie null para remover o responsável atual.
"0197aa3e-3815-45b7-9e60-8e137cad845c"
Response
Identificador único do centro de custo.
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
ID da empresa dona do centro de custo.
"123e4567-e89b-12d3-a456-426614174000"
"123e4567-e89b-12d3-a456-426614174001"
Código do centro de custo definido pela empresa. Nulo quando o centro de custo não tem código.
"ENG-01"
Nome do centro de custo.
"Engenharia"
Situação do centro de custo: "active" (em uso) ou "disabled" (desativado pela empresa).
active, disabled "active"
Colaborador responsável pelo centro de custo. Nulo quando não há responsável definido.
Show child attributes
Show child attributes